import java.awt.*;
import java.awt.datatransfer.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    List l = new List();

    Main() {
        super("StringSelection Example");

        // Initialize list.
        l.addItem("Apple");
        l.addItem("Blueberry");
        l.addItem("Cantaloupe");
        l.addItem("Durian");
        add(l, BorderLayout.CENTER);

        // Listen for item events.
        l.addItemListener(this);

        setSize(100, 150);
        show();
    }

    
    public void itemStateChanged(ItemEvent evt) {
        // Retrieve item index.
        int item = ((Integer)evt.getItem()).intValue();

        // Retrieve handle to clipboard.
        Clipboard clipboard = getToolkit().getSystemClipboard();

        // Create the string selection.
        StringSelection ss = new StringSelection(l.getItem(item));

        // Set contents of clipboard with string selection.
        clipboard.setContents(ss, null);
    }

    public static void main(String[] args) {
        new Main();
    }
}
