import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    int leftHits = 0, rightHits = 0;
    Label scoreBoard = new Label("left hits=0  right hits=0");
    Panel left;
    Main() {
        super("isAncestorOf example");
        // create left buttons
        left = new Panel(new GridLayout(0, 1));
        Button b;
        left.add(b = new Button("button1"));
        b.addActionListener(this);
        left.add(b = new Button("button2"));
        b.addActionListener(this);
        left.add(b = new Button("button3"));
        b.addActionListener(this);

        // create right buttons
        Panel right = new Panel(new GridLayout(0, 1));
        right.add(b = new Button("button1"));
        b.addActionListener(this);
        right.add(b = new Button("button2"));
        b.addActionListener(this);
        right.add(b = new Button("button3"));
        b.addActionListener(this);

        add(right, BorderLayout.EAST);
        add(left, BorderLayout.WEST);
        add(scoreBoard, BorderLayout.SOUTH);

        setSize(300, 150);
        show();
    }

    // Action handler for buttons
    public void actionPerformed(ActionEvent evt) {
        if (left.isAncestorOf((Component)evt.getSource())) {
            ++leftHits;
        } else {
            ++rightHits;
        }
        scoreBoard.setText("left hits=" + leftHits + "  right hits=" + rightHits);
    }

    static public void main(String[] args) {
        new Main();
    }
}
