import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    boolean raised = true;

    Main() {
        super("fill3DRect Example");

        addMouseListener(new MouseEventHandler());

        setSize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = this.getInsets();
        int x = insets.left, y = insets.top;
        int w = getSize().width-insets.left-insets.right;
        int h = getSize().height-insets.top-insets.bottom;

        w -= 1;    // draw inside the rectangle.
        h -= 1;    // draw inside the rectangle.
        g.setColor(getBackground());
        g.fill3DRect(x++, y++, w, h, raised);
    }

    class MouseEventHandler extends MouseAdapter {
        public void mousePressed(MouseEvent evt) {
            raised = !raised;
            repaint();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
