import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    static final int ITEMS = 10;
    static List l = new List(ITEMS, false);

    Main() {
        super("getSelectedItem Example");

        for (int i = 0; i < ITEMS; i++) {
           l.addItem("item "+i);
        }
        add(l, BorderLayout.CENTER);
        l.addItemListener(this);
        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        // Use quick way to print selected item
        System.out.println(l.getSelectedItem());

        // Use another way to print
        Object[] selected = l.getSelectedObjects();
        for (int i = 0; i < selected.length; i++) {
            System.out.println(selected[i]);
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
