import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {

    Main(String title) {
        super(title);
        MenuBar mb = new MenuBar();
        Menu menu = new Menu("File");

        menu.add("New");
        menu.add("Open...");
        mb.add(menu);

        menu = new Menu("Edit");
        menu.add("Copy");
        menu.add("Paste");
        mb.add(menu);

        setMenuBar(mb);

        Button b;
        add(b=new Button("Enable"), BorderLayout.WEST);
        b.addActionListener(this);
        add(b=new Button("Disable"), BorderLayout.EAST);
        b.addActionListener(this);

        setSize(100, 100);
        show();
    }

    static public void main(String[] args) {
        Main m = new Main("getMenuCount Example");
    }

    void enableMenuItems(boolean enable) {
        for (int i=0; i<getMenuBar().getMenuCount(); i++) {
            Menu menu = getMenuBar().getMenu(i);
            for (int j=0; j<menu.getItemCount(); j++) {
                MenuItem menuitem = menu.getItem(j);
                menuitem.setEnabled(enable);
            }
        }
    }

    // Button action listener
    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();
        boolean enable = "Enable".equals(what);

        if (enable || "Disable".equals(what)) {
            enableMenuItems(enable);
        }
    }
}
