import java.awt.*;

class Main extends Frame implements Runnable {
    Main() {
        super ("Window.getFocusOwner() Example");

        add(new TextField(), BorderLayout.NORTH);
        add(new Button("West"), BorderLayout.WEST);
        add(new Button("Center"), BorderLayout.CENTER);
        add(new Button("East"), BorderLayout.EAST);
        add(new TextField(), BorderLayout.SOUTH);

        pack();
        show();

        (new Thread(this)).start();
    }

    public void run() {
        while (true) {
            try {
                System.out.println("focus owner = " + getFocusOwner());
                Thread.sleep(5000);
            } catch (InterruptedException e) {
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
