import java.awt.*;
import java.awt.datatransfer.*;

class Main implements ClipboardOwner {
    //ClipboardOwner Example
    Main() {
        // Retrieve handle to clipboard and contents
        Clipboard clipboard = 
            Toolkit.getDefaultToolkit().getSystemClipboard();
    
        clipboard.setContents(new StringSelection("Hello"), this);
    }

    public void lostOwnership(Clipboard clipboard, Transferable contents) {
        System.out.println("lost ownership");
        System.exit(0);
    }
    
    public static void main(String[] args) {
        new Main();
    }
}