import java.awt.*;
import java.awt.datatransfer.*;
import java.io.*;

class Main {
    // getTransferDataFlavors Example
    public static void main(String[] args) {
        // Retrieve reference to clipboard and contents
        Clipboard clipboard = 
            Toolkit.getDefaultToolkit().getSystemClipboard();
        Transferable t = clipboard.getContents(null);

        if (t == null) {
            // Clipboard is empty.
            return;    
        }

        DataFlavor flavors[] = t.getTransferDataFlavors();
        for (int i=0; i<flavors.length; i++) {
            System.out.println(flavors[i].getHumanPresentableName());
            System.out.println("  "+flavors[i].getRepresentationClass());
            System.out.println("  "+flavors[i].getMimeType());
        }
    }
}
