import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

class Main extends Frame implements ActionListener {
    Button bt = new Button("Button");
    TextField tf = new TextField(40);

    Main() {
        super("setLabel Example");
        add(new Canvas(), BorderLayout.CENTER); 
        add(bt, BorderLayout.WEST); 
        add(tf, BorderLayout.SOUTH); 
        tf.setText(bt.getLabel());    // Initialize with current label
        tf.addActionListener(this);   // Set listener for updating label
        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        bt.setLabel(tf.getText());

        // Invalidate this button because of size change
        bt.invalidate();

        // Validate parent to resize button
        bt.getParent().validate();
    }

    static public void main(String[] args) {
        new Main();
    }
} 
