import java.awt.*;
import java.awt.event.*;
class Main extends Frame {
    Checkbox cb = new Checkbox("Upper Case");
    TextArea ta = new TextArea(10, 40);

    Main() {
        super("getState Example");
        add(cb, BorderLayout.NORTH);
        add(ta, BorderLayout.CENTER); 

        ta.addKeyListener(new KeyListener());

        pack();
        show();
    }

    // Define listener to deal with upper case mode
    class KeyListener extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            char ch = evt.getKeyChar();

            if (cb.getState() && Character.isLowerCase(ch)) {
                evt.setKeyChar(Character.toUpperCase(ch));
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
