import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    FileDialog fd;
    Main() {
        super("setMode example");

        Panel p = new Panel(new GridLayout(1, 0));
        Button b;
        b = new Button("Load");
        p.add(b);
        b.addActionListener(this);

        b = new Button("Save");
        p.add(b);
        b.addActionListener(this);

        add(p, BorderLayout.SOUTH);

        pack();
        show();

        // Create file dialog
        fd = new FileDialog(this);
    }

    public void actionPerformed(ActionEvent evt) {
        String cmd = evt.getActionCommand();
        if (cmd.equals("Load")) {
            fd.setMode(FileDialog.LOAD);
            fd.show();
        } else {
            fd.setMode(FileDialog.SAVE);
            fd.show();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
