import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    FlowLayout layout = new FlowLayout(FlowLayout.CENTER);
    Button vgapbtn, hgapbtn;
    Main() {
        super("FlowLayout Gaps Example");
        List list = new List();

        setLayout(layout);
        Button b;
        add(b = new Button("V+"));
        b.addActionListener(this);
        list.addItem("List");
        add(list);
        add(b = new Button("H+"));
        b.addActionListener(this);

        vgapbtn = new Button("Vgap="+layout.getVgap());
        add(vgapbtn);
        add(b = new Button("V-"));
        b.addActionListener(this);

        hgapbtn = new Button("Hgap="+layout.getHgap());
        add(hgapbtn);
        add(b = new Button("H-"));
        b.addActionListener(this);

        setSize(100, 200);
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();

        if ("H+".equals(what)) {
            layout.setHgap(layout.getHgap()+5);
        } else if ("H-".equals(what)) {
            layout.setHgap(Math.max(0, layout.getHgap()-5));
        } else if ("V+".equals(what)) {
            layout.setVgap(layout.getVgap()+5);
        } else if ("V-".equals(what)) {
            layout.setVgap(Math.max(0, layout.getVgap()-5));
        }

        vgapbtn.setLabel("Vgap="+layout.getVgap());
        hgapbtn.setLabel("Hgap="+layout.getHgap());

        invalidate();
        validate();
    }

    public static void main(String[] args) {
        new Main();
    }
}
