import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    ScrollPane sp = new ScrollPane();

    Main() {
        super("getHAdjustable Example");
        Panel p = new Panel(new GridLayout(10, 0));

        // Create a hundred buttons and add them to the panel.
        for (int i=0; i<100; i++) {
            Button b = new Button("Button "+i);
        
            b.addActionListener(this);
            p.add(b);
        }

        // Layout and show components.
        sp.add(p);
        add(sp, BorderLayout.CENTER);
        setSize(200, 150);
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        Rectangle r = ((Component)evt.getSource()).getBounds();
        Adjustable hadj = sp.getHAdjustable();
        Adjustable vadj = sp.getVAdjustable();

        hadj.setValue(r.x);
        vadj.setValue(r.y);
    }

    public static void main(String args[]) {
        new Main();
    }
}
