import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextField tf = new TextField();
    TextArea ta = new TextArea();

    Main() {
        super("getSelectedStart Example");
        add(ta, BorderLayout.CENTER);
        add(tf, BorderLayout.SOUTH);

        // Add listeners for textfield and textarea
        KeyEventHandler listener = new KeyEventHandler();
        ta.addKeyListener(listener);
        tf.addKeyListener(listener);

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            if (evt.isControlDown() &&  evt.getKeyCode() == KeyEvent.VK_A) {
                TextComponent tc = (TextComponent)evt.getSource();
                String str = tc.getText();
                int s = str.lastIndexOf('\n', tc.getSelectionStart()-1) + 1;

                tc.setSelectionStart(s);
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
