import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextField tf = new TextField(40);

    Main() {
        super("echoCharIsSet Example");
        add(tf, BorderLayout.NORTH);

        tf.addKeyListener(new KeyEventHandler());

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            int key = evt.getKeyCode();
            if (evt.isControlDown() && key == KeyEvent.VK_A) {
                if (tf.echoCharIsSet()) {
                    key = 0;
                } else {
                    key = '*';
                }
                tf.setEchoChar((char)key);
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
